Skip Menu |
 

This queue is for tickets about the IO-Compress CPAN distribution.

Report information
The Basics
Id: 120580
Status: resolved
Priority: 0/
Queue: IO-Compress

People
Owner: Nobody in particular
Requestors: jkeenan [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Unimportant
Broken in: (no value)
Fixed in: 2.080



Subject: File::GlobMapper::$VERSION needs increment
In the course of synching the cpan/IO-Compress tree with CPAN version 2.074 today, one of the porting tests pointed to a problem with $VERSION in lib/File/GlobMapper.pm. The code within that file was changed, but its $VERSION was not incremented. I actually misidentified the problem in my commit message: ##### commit 5173674b1cb46b59301b559929904bc67fa15056 lib/File/GlobMapper.pm lacks a $VERSION; compensate for that by adding an entry in Porting/cmpVERSION.pl. ##### The problem was not that that module lacked a $VERSION; rather, the $VERSION was not incremented to reflect changes in the file's content. When you next do a CPAN release of IO-Compress, could you increment $File::GlobMapper::VERSION? Perhaps you could set it to the same $VERSION which the rest of IO-Compress uses. This is not urgent. At least as of today, we can include IO-Compress 2.074 in perl-5.26.0 without alteration. And this correction is not worth an IO-Compress 2.075 release. But we could probably bundle it with other, more important changes whenever the time for 2.075 comes around. Thank you very much. Jim Keenan
Subject: File::GlobMapper::$VERSION needs increment; trailing whitespace
Download (untitled) / with headers
text/plain 1.3k
On Fri Mar 10 17:39:56 2017, JKEENAN wrote: Show quoted text
> In the course of synching the cpan/IO-Compress tree with CPAN version > 2.074 today, one of the porting tests pointed to a problem with > $VERSION in lib/File/GlobMapper.pm. The code within that file was > changed, but its $VERSION was not incremented. > > I actually misidentified the problem in my commit message: > > ##### > commit 5173674b1cb46b59301b559929904bc67fa15056 > > lib/File/GlobMapper.pm lacks a $VERSION; compensate for that by adding > an entry in Porting/cmpVERSION.pl. > ##### > > The problem was not that that module lacked a $VERSION; rather, the > $VERSION was not incremented to reflect changes in the file's content. > > When you next do a CPAN release of IO-Compress, could you increment > $File::GlobMapper::VERSION? Perhaps you could set it to the same > $VERSION which the rest of IO-Compress uses. > > This is not urgent. At least as of today, we can include IO-Compress > 2.074 in perl-5.26.0 without alteration. And this correction is not > worth an IO-Compress 2.075 release. But we could probably bundle it > with other, more important changes whenever the time for 2.075 comes > around. > > Thank you very much. > Jim Keenan
A version 2.075 could also clean up some newly added trailing whitespace in certin files. (If the code were kept in a public git repository, I would have submitted a pull request.) Thank you very much. Jim Keenan
Download (untitled) / with headers
text/plain 1.5k
On Fri Mar 10 17:41:39 2017, JKEENAN wrote: Show quoted text
> On Fri Mar 10 17:39:56 2017, JKEENAN wrote:
> > In the course of synching the cpan/IO-Compress tree with CPAN version > > 2.074 today, one of the porting tests pointed to a problem with > > $VERSION in lib/File/GlobMapper.pm. The code within that file was > > changed, but its $VERSION was not incremented. > > > > I actually misidentified the problem in my commit message: > > > > ##### > > commit 5173674b1cb46b59301b559929904bc67fa15056 > > > > lib/File/GlobMapper.pm lacks a $VERSION; compensate for that by > > adding > > an entry in Porting/cmpVERSION.pl. > > ##### > > > > The problem was not that that module lacked a $VERSION; rather, the > > $VERSION was not incremented to reflect changes in the file's > > content. > > > > When you next do a CPAN release of IO-Compress, could you increment > > $File::GlobMapper::VERSION? Perhaps you could set it to the same > > $VERSION which the rest of IO-Compress uses. > > > > This is not urgent. At least as of today, we can include IO-Compress > > 2.074 in perl-5.26.0 without alteration. And this correction is not > > worth an IO-Compress 2.075 release. But we could probably bundle it > > with other, more important changes whenever the time for 2.075 comes > > around. > > > > Thank you very much. > > Jim Keenan
> > A version 2.075 could also clean up some newly added trailing > whitespace in certin files. (If the code were kept in a public git > repository, I would have submitted a pull request.) > > Thank you very much. > Jim Keenan
Thanks Jim - version updated. Shout if you want me to push out a 2.075 cheers Paul


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.